@import url('https://fonts.googleapis.com/css?family=Poppins&display=swap');

button {
  background-color: #1b396a;
  border: 0;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  color: #fff;
  font-size: 14px;
  padding: 10px 25px;
  cursor: pointer;
}

.modal-container {
  display: flex;
  background-color: rgba(0, 0, 0, 0.3);
  align-items: center;
  justify-content: center;
  position: fixed;
  pointer-events: none;
  opacity: 0;  
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  z-index: 999;
  transition: opacity 0.3s ease;
}

.show {
  pointer-events: auto;
  opacity: 1;
}

.modal {
  background-color: #fff;
  width: 600px;
  max-width: 100%;
  padding: 30px 50px;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  text-align: center;
  
}

.modal h1 {
  margin: 0;
}

.modal p {
  opacity: 0.7;
  font-size: 14px;
}

.con{
  display: flex;
  flex-direction: column;
  max-width: 6rem;
  align-items: center;
  justify-content: center;
}

.con img{
  width: 5rem;
}

/*Imagenes de las computadoras*/
.form_pc{
  display: grid;
  grid-template-columns: repeat(20, 1fr); /*Cantidad de computadoras van de 2, cada 2 es 1 computadora mas*/
  align-items: center;
  justify-content: center;
  padding: 10px; /*Ancho del div donde se muestran las reservaciones*/
  gap: 10px; /*Separacion de los equipos de comnputo*/
}

.form_pc label img {
  width: 130%; /*Tamaño de la imagen*/
  max-width: 5rem; /*Tamaño de los equipos de computo*/
}

.form_pc label {
  text-align: center;
  font-size: 1.6rem; /*Tamaño de los equipos de computo y las letras debajo*/
}


#confirmar{
  grid-column-start: 3;
  grid-column-end: 7;
  margin-top: 3rem;
}

/*Nuestro css*/
/*Buscar estudiante*/

.img-atras a img {
  width: 50px;
  height: 50px;
}

.input-buscar {
  /* Estilos específicos para el input dentro del formulario */
  width: 200px;
  padding: 5px;
  border: 3px solid #ccc;
  border-radius: 3px;
}

.form_buscar {
  display: grid;
  text-align: center;
  justify-items: center;
}

#btn-buscar,
#btn-agregar {
  width: 100%;
  margin: 4px;
  justify-content: center;
}

label {
  font-size: 2rem;
}

input {
  border: #1b396a solid;
}

.btncontenedor {
  display: flex;
  padding: 10px;
  justify-content: center;
  text-align: center;
}

button a {
  color: #fff;
  padding-right: 4rem;
}

.btncontenedor button {
  background-color: #1b396a;
  color: black;
  text-align: center;
  color: white;
}

.btncontenedor button:hover {
  background-color: #008cba;
  color: white;
}

#msje {
  font-size: 18px;
  color: red;
}

.datosEst {
  font-size: 20px;
  font-family: "Times New Roman", Times, serif;
  text-align: justify;
}

/*Registro de tiempo*/
#registrotiempo{
  border-radius: 5px;
  padding: 20px;
}

#registrotiempo h2{
  font-size: 1.75em; /* aumenta el tamaño de la fuente */
}

#registrotiempo label {
  display: block;
  margin-bottom: 5px;
  font-size: 1.5em;
  font-weight: bold; /* aumenta el peso de la fuente */
}

#registrotiempo input[type="datetime-local"],
#registrotiempo select {
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 3px;
}

/*Seleccionar maquina*/
#numaquina{
  font-size: 1.15em; /* aumenta el tamaño de la fuente */
  font-weight: bold; /* aumenta el peso de la fuente */
  color: black; /* cambia el color del texto a negro */
}

#confirmar {
  background-color: #1b396a; /* Cambia el color de fondo */
  border: none; /* Quita el borde */
  color: white; /* Cambia el color del texto */
  padding: 15px 30px; /* Añade un espacio alrededor del texto */
  text-align: center; /* Centra el texto */
  text-decoration: none; /* Quita el subrayado del texto */
  display: inline-block; /* Asegura que el botón se ajuste al tamaño del contenido */
  font-size: 16px; /* Cambia el tamaño del texto */
  margin: 4px 2px; /* Añade un margen alrededor del botón */
  cursor: pointer; /* Cambia el cursor al pasar por encima del botón */
  border-radius: 10px; /* Establece el radio de las esquinas a 0 para quitar las puntas */
}

#confirmar:hover {
  background-color: #008CBA;
  color: white;
}

/* Estilos para el estado Disponible */
.disponible {
  filter: drop-shadow(1.5px 1.5px 1.5px rgb(9, 220, 228)); 
}

/* Estilos para el estado Ocupado */
.ocupado {
  filter: drop-shadow(1.5px 1.5px 1.5px rgb(255, 208, 0)); 
}

/* Estilos para el estado En Mantenimiento */
.mantenimiento {
  filter: drop-shadow(1.5px 1.5px 1.5px red); 
}


ul.estado-computadoras {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

ul.estado-computadoras li {
  flex-basis: calc(100% / 3);
  text-align: center;
  margin: 0;
  padding: 0;
}

ul.estado-computadoras label {
  display: block;
  margin-bottom: 5px;
  font-size: 14px;
}

ul.estado-computadoras input[type="radio"] {
  display: none;
}

ul.estado-computadoras img {
  width: 60%;
  max-width: 60px;
  height: auto;
}

/*Formulario para filtrar los estados que vera el admin*/
/* Estilos para el formulario */
.form-estado {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 1rem;
}

.form-estado select {
  padding: 0.5rem;
  margin-right: 0.5rem;
}

.form-estado input[type="submit"] {
  padding: 0.5rem 1rem;
  background-color: #1b396a;
  color: #fff;
  border: none;
  border-radius: 0.25rem;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.form-estado input[type="submit"]:hover {
  background-color: #008CBA;
}

/*Estilo de Historial de equipos*/
.formBuscarFecha {
  display: flex;
  text-align: center;
  font-weight: bold; /* aumenta el peso de la fuente */
  flex-direction: column;
  padding: 0 10rem;
  font-size: 1.6rem;
}

.formBuscarFecha form {
  border: 1px solid #cacaca;
  border-radius: 0.5rem;
  width: 50%; /* Ajusta el ancho del formulario */
  margin: 0 auto; /* Centra el formulario horizontalmente */
  padding: 10px; /* Ajusta el espaciado interno del formulario */
}

.formBuscarFecha input[type="date"] {
  margin: 1.5rem;
  margin-top: 2rem;
  padding: 1rem 2rem;
  font-size: 1.6rem;
  border: 1px solid #cacaca;
  background-color: #fff;
  color: black;
  border-radius: 0.5rem;
  cursor: pointer;
  transition: 0.2s;
  font-weight: bold !important;
}

.formBuscarFecha input[type="date"]:hover {
  background-color: #35383871;
  color: white;
}

.formBuscarFecha input[type="submit"] {
  padding: 11px;
  border-radius: 5px;
  background-color: #1b396a;
  color: white;
  cursor: pointer;
  white-space: nowrap;
}

.formBuscarFecha input[type="submit"]:hover {
  background-color: #008cba;
  color: white;
}

/*APARTADO PARA DAR ESTILO AL FORMULARIO DE INDICAR EQUIPO EN MANTENIMIENTO*/
.mantenimiento-PC {
  display: flex;
  justify-content: space-evenly;
}

.mantenimiento-PC label {
  text-align: start;
  font-weight: bold;
  align-items: center;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.mantenimiento-PC input[type="submit"] {
  padding: 10px;
  border-radius: 5px;
  background-color: #1b396a;
  color: white;
  cursor: pointer;
  white-space: nowrap;
}

.mantenimiento-PC .select-input {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: center;
}

.mantenimiento-PC select[id="pc"] {
  margin: 1.5rem;
  margin-top: 2rem;
  padding: 1rem 2rem;
  font-size: 1.6rem;

  border: 1px solid #cacaca;
  background-color: #fff;
  color: black;
  border-radius: 0.5rem;
  cursor: pointer;
  transition: 0.2s;
  font-weight: bold !important;
}

/*Estilo para el formulario de detencion de tiempo*/
.DetenerTiempoCompu{
  display: flex;
  justify-content: space-evenly;

}
.DetenerTiempoCompu label {
  text-align: start;
  font-weight: bold;
  align-items: center;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.DetenerTiempoCompu input[type="submit"] {
  padding: 10px;
  border-radius: 5px;
  background-color: #1b396a;
  color: white;
  cursor: pointer;
  white-space: nowrap;
}

.DetenerTiempoCompu.select-input {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: center;
}

.DetenerTiempoCompu select[id="pc"] {
  margin: 1.5rem;
  margin-top: 2rem;
  padding: 1rem 2rem;
  font-size: 1.6rem;
  border: 1px solid #cacaca;
  background-color: #fff;
  color: black;
  border-radius: 0.5rem;
  cursor: pointer;
  transition: 0.2s;
  font-weight: bold !important;
}
